Returns the file name and extension, with any directory information removed.

```lua
p = path.getname("path")
```

### Parameters ###

`path` is the file system path to be split.


### Return Value ###

The file name and extension, with no directory information.


### Availability ###

Premake 4.0 or later.


### See Also ###

* [path.getbasename](path.getbasename.md)
* [path.getdirectory](path.getdirectory.md)
* [path.getdrive](path.getdrive.md)
* [path.getextension](path.getextension.md)
